<?php

namespace App\Generated\V1_1\Messages\User;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;
use App\Generated\V1_1\DTOs\ProfileUserDTO;

class ProfileMessage extends Message
{
    use ValueHelper;

    protected $model;
    protected $result;

    /**
     * @return string|null
     */
    public function getModel()
    {
        return $this->model;
    }

    public function requestRules()
    {
        return [
            ['model', 'model', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', ProfileUserDTO::class, Constants::MODEL, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
